Subject: Re: DELL?!
To: None <>
From: Frank van der Linden <>
List: tech-kern
Date: 04/18/2000 11:42:50
On Tue, Apr 18, 2000 at 11:33:52AM +0200, Lucio De Re wrote:
> I have tried to install both 1.4.1 and 1.4.2 on a DELL PowerEdge 1300,
> and neither seems to find the two SCSI controllers:
> 	<Adaptec 2940 Ultra2 SCSI adapter>
> and	<Adaptec aic7890/91 Ultra2 SCSI adapter>
> (the latter built-in, I believe).

Yes, these are not supported in 1.4.x. It took a while for us to support
them, for a few reasons. 1) we did not have the documentation (and have
never received it despite repeated efforts), 2) while there was a FreeBSD
driver, that driver needed some porting effort because the FreeBSD
SCSI layer has become substantially different from ours, 3) we had
some issues with the copyright that was on the FreeBSD driver.

Fortunately, after 3) was resolved, 2) could be too, and a port of 
the FreeBSD driver was brought into the tree in march. So, 1.5 will
support these controllers.

- Frank